<?php

namespace LakeDrops\DrupalDevelopmentEnvironment\TestSuite;

require_once __DIR__ . '/Base.php';

/**
 * Discovers tests for the unit test suite.
 */
class Kernel extends Base {

  /**
   * {@inheritdoc}
   */
  final public function __construct($theClass = '', string $name = '') {
    parent::__construct($theClass, $name);
    $this->internalTestType = 'kernel';
  }

  /**
   * Factory method which loads up a suite with all unit tests.
   *
   * @return static
   *   The test suite.
   */
  public static function suite(): static {
    $root = dirname(__DIR__, 5) . '/web';

    $suite = new static('kernel');
    $suite->addTestsBySuiteNamespace($root, 'Kernel');

    return $suite;
  }

}
